/*
 * $Id: test-switch.c,v 1.1 2012/01/20 15:59:41 vrsieh Exp $
 */

#include <inttypes.h>

extern void a(void);

void
uint8_switch_test(uint8_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
int8_switch_test(int8_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
uint16_switch_test(uint16_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
int16_switch_test(int16_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
uint32_switch_test(uint32_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
int32_switch_test(int32_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
uint64_switch_test(uint64_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}

void
int64_switch_test(int64_t x)
{
	switch (x) {
	case 0:
		a();
		break;
	case 1:
		a();
	case 2:
		a();
		break;
	default:
		a();
	}
}
